# $Revision: 1.13 $, $Date: 2005/09/15 18:08:39 $
Summary:	Graphical front-end to gcc/g++
Summary(pl):	Graficzna nakadka na gcc/g++
Name:		openldev
Version:	0.4.4
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://heanet.dl.sourceforge.net/openldev/%{name}-%{version}.tar.bz2
# Source0-md5:	40b0130c7b505a88cda8ceea3122c87c
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-makefile.patch
URL:		http://www.openldev.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-vfs2-devel
BuildRequires:	gtk+2-devel >= 2.6.0
BuildRequires:	gtksourceview-devel >= 1.2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	vte-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Open Linux Developer is a environment based on the GTK+2 libraries
that provides a graphical front-end to gcc/g++. It includes the basic
essentials needed by a C/C++ programmer.

%description -l pl
Open Linux Developer jest rodowiskiem opartym o bibliotek GTK+2,
bdcym graficzn nakadk na gcc/g++. Zawiera podstawowe skadniki
porzebne dla programisty C/C++.

%prep
%setup -qn %{name}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-template-all
%{__make} \
	OPTFLAGS='%{rpmcflags}'

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf %{_pixmapsdir}/openldev/openldev48.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}/openldev.png
	
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/%{name}
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openldev.spec,v $
Revision 1.13  2005/09/15 18:08:39  freetz
- 0.4.4

Revision 1.12  2005/09/06 19:27:49  freetz
- 0.4.3

Revision 1.11  2005/08/23 08:09:51  paladine
- updated to 0.4.2
- moved from gtkmm to gtk+2
- updated descriptions

Revision 1.10  2005/07/22 21:42:31  freetz
- 0.4.1, missing libglademm-devel BR

Revision 1.9  2005/06/26 00:43:10  zbyniu
- removed BRs required indirect by other BRs

Revision 1.8  2005/06/08 14:57:19  zbyniu
- BR: ncurses-devel, popt-devel

Revision 1.7  2005/06/07 19:57:13  paladine
- build with templates
- license unification
- added some %%doc's
- rel. 2

Revision 1.6  2005/06/07 18:41:01  freetz
- 0.4.0, more BRs

Revision 1.5  2005/05/20 15:53:33  freetz
- 0.3.10

Revision 1.4  2005/05/02 18:25:54  freetz
- 0.3.9

Revision 1.3  2005/04/25 20:21:23  qboosh
- cosmetics, BR gtkmm-devel not just gtkmm I think

Revision 1.2  2005/04/24 19:02:53  freetz
- pass OPTFLAGS to %%{__make}

Revision 1.1  2005/04/24 17:49:42  freetz
- initial
